/* 8051 REG DECLARE */
DECLARE
P0      BYTE   AT   (80H)   register,
P1      BYTE   AT   (90H)   register,
P2      BYTE   AT   (0A0H)  register,
P3      BYTE   AT   (0B0H)  register,
PSW     BYTE   AT   (0D0H)  register,
ACC     BYTE   AT   (0E0H)  register,
B       BYTE   AT   (0F0H)  register,
SP      BYTE   AT   (81H)   register,
DPL     BYTE   AT   (82H)   register,
DPH     BYTE   AT   (83H)   register,
PCON    BYTE   AT   (87H)   register,
TCON    BYTE   AT   (88H)   register,
TMOD    BYTE   AT   (89H)   register,
TL0     BYTE   AT   (8AH)   register,
TL1     BYTE   AT   (8BH)   register,
TH0     BYTE   AT   (8CH)   register,
TH1     BYTE   AT   (8DH)   register,
IE      BYTE   AT   (0A8H)  register,
IP      BYTE   AT   (0B8H)  register,
SOCN    BYTE   AT   (98H)   register,
SBUF    BYTE   AT   (99H)   register;
/*    bin reg   psw         */
DECLARE
CY      BIT     AT   (0D7H) register,
AC      BIT     AT   (0D6H) register,
FO      BIT     AT   (0D5H) register,
RS1     BIT     AT   (0D4H) register,
RS0     BIT     AT   (0D3H) register,
OV      BIT     AT   (0D2H) register,
P       BIT     AT   (0D0H) register,
/*   TCON                    */
TF1     BIT     AT   (8FH)  register,
TR1     BIT     AT   (8EH)  register,
TF0     BIT     AT   (8DH)  register,
TR0     BIT     AT   (8CH)  register,
IE1     BIT     AT   (8BH)  register,
IT1     BIT     AT   (8AH)  register,
IE0     BIT     AT   (89H)  register,
IT0     BIT     AT   (88H)  register,
/*          IE                */
EA      BIT     AT   (0AFH) register,
ES      BIT     AT   (0ACH) register,
ET1     BIT     AT   (0ABH) register,
EX1     BIT     AT   (0AAH) register,
ET0     BIT     AT   (0A9H) register,
EX0     BIT     AT   (0A8H) register,
/*           IP               */
PS      BIT     AT   (0BCH) register,
PT1     BIT     AT   (0BBH) register,
PX1     BIT     AT   (0BAH) register,
PTO     BIT     AT   (0B9H) register,
PX0     BIT     AT   (0B8H) register,
/*      P3 BIN                */
RD      BIT     AT   (0B7H) register,
WR      BIT     AT   (0B6H) register,
T1      BIT     AT   (0B5H) register,
T0      BIT     AT   (0B4H) register,
INT1    BIT     AT   (0B3H) register,
INT0    BIT     AT   (0B2H) register,
TXD     BIT     AT   (0B1H) register,
RXD     BIT     AT   (0B0H) register,
/*      SCON BIN             */
SM0     BIT     AT   (9FH)  register,
SM1     BIT     AT   (9EH)  register,
SM2     BIT     AT   (9DH)  register,
REN     BIT     AT   (9CH)  register,
TB8     BIT     AT   (9BH)  register,
RB8     BIT     AT   (9AH)  register,
TI      BIT     AT   (99H)  register,
RI      BIT     AT   (98H)  register;
