;----------------------
;-------------definitions-----------------
len	bit  p1.7
a0	bit  p3.4
a1	bit  p3.5
;wr	bit  p3.6
;rd	bit  p3.7
Digit1	equ  30
Digit2	equ  31
SegTab	equ  0f00h	
;------------------------------------------
;------------------Main--------------------
org	0
Main:
	acall	Init
	acall	Init8255
	mov	Digit1,#2
	mov	Digit2,#3
	acall	Write_Digit1
	acall	Write_Digit2
	here:	sjmp	here











;------------------------------------------		
Init:
	setb	wr
	setb	rd
	clr	len
	ret
;--------------------Init8255----------------
Init8255:
	mov	p2,#10001000B;*********
	setb	a0
	setb	a1
	clr	wr
	nop
	nop
	setb	wr
	ret
;----------------------------------------------
;-------------------In8255---------------------
In8255:
	mov	p2,#10011000B;**********
	setb	a0
	setb	a1
	clr	wr
	nop
	nop
	setb	wr
	ret
;-----------------------------------------------
;--------------------WritePortB-----------------
WritePortB:
	mov	p2,A
	setb	a0
	clr	a1
	nop
	nop
	setb	wr
	ret
;-----------------------------------------------
;--------------------WritePortCL----------------
WritePortCL:
	mov	p2,A
	setb	a1
	clr	a0
	nop
	nop
	ret
;-----------------------------------------------
;--------------------WriteLatch-----------------
WriteLatch:
	clr	len
	mov	p2,A
	setb	len
	nop
	nop
	clr	len
	ret
;---------------------------------------------------
;---------------------ReadPortCH---------------------
ReadPortCH:
	mov	p2,#0FFh
	setb	a1
	clr	a0
	clr	rd
	nop
	nop
	mov	a,p2
	setb	rd
	anl	a,#0f0h
	swap	a
	ret
;-----------------------------------------------------
;----------------------ReadPortA----------------------
ReadPortA:
	acall	In8255
	mov	p2,#0FFh
	clr	a0
	clr	a1
	clr	rd
	nop
	nop
	mov	a,p2
	setb	rd
	acall	Init8255
	ret
;-------------------------------------------------------
;------------------------WritePortA---------------------
WritePortA:
	mov	p2,a
	clr	a0
	clr	a1
	clr	wr
	nop
	nop
	setb	wr 
	ret
;-------------------------------------------------------
;------------------------Write_Digit1--------------------
Write_Digit1:
	mov	Dptr,#SegTAb
	;mov	DPL,#00h
	mov	a,Digit1
	movc	a,@a+dptr
	acall	WritePortB
	ret
;-------------------------------------------------------
;------------------------Write_Digit2--------------------
Write_Digit2:
	mov	DPtr,#SegTab
	;mov	DPL,#00h
	mov	a,Digit2
	movc	a,@a+dptr
	acall	WriteLatch
	ret
;--------------------------------------------------------
org	SegTab
db	40h,79h,24h,30h,19h,12h,2h,78h,0h,10h	
end